INTERFACE
SUBROUTINE LASCAWAD(KPROMB,KST,KPROF,KFLEV,KGLN,KGLX,&
 & KFLDN,KWIS,KHOR,&
 & LDSLHD,LDSLHDQUAD,&
 & P4JP,PIS2,PLSDEPI,PLATI,&
 & PIPI0,PIPI1,PIPI2,PSLD1,PSLD2,PSLD3,PSLDW,&
 & PLON,PLAT,PLEV,PKAPPA,&
 & PLON5,PLAT5,PLEV5,PKAPPA5,&
 & PVETAF,KVAUTF,&
 & PVCUICO,PVSLD,PVSLDW,KRLEVX,PVRLEVX,&
 & PDLAT,PCLA,PCLASLD,PDLO,PCLO,PCLOSLD,PDVER,PVINTW,PVINTWSLD ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMLASCAW, ONLY : KPDUP
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMB
INTEGER(KIND=JPIM),INTENT(IN) :: KFLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KGLN
INTEGER(KIND=JPIM),INTENT(IN) :: KGLX
INTEGER(KIND=JPIM),INTENT(IN) :: KRLEVX
INTEGER(KIND=JPIM),INTENT(IN) :: KST
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
INTEGER(KIND=JPIM),INTENT(IN) :: KFLDN
INTEGER(KIND=JPIM),INTENT(IN) :: KWIS
INTEGER(KIND=JPIM),INTENT(IN) :: KHOR
LOGICAL ,INTENT(IN) :: LDSLHD
LOGICAL ,INTENT(IN) :: LDSLHDQUAD
REAL(KIND=JPRB) ,INTENT(IN) :: P4JP
REAL(KIND=JPRB) ,INTENT(IN) :: PIS2
REAL(KIND=JPRB) ,INTENT(IN) :: PLSDEPI(KGLN:KGLX)
REAL(KIND=JPRB) ,INTENT(IN) :: PLATI(KGLN:KGLX)
REAL(KIND=JPRB) ,INTENT(IN) :: PIPI0(KGLN:KGLX)
REAL(KIND=JPRB) ,INTENT(IN) :: PIPI1(KGLN:KGLX)
REAL(KIND=JPRB) ,INTENT(IN) :: PIPI2(KGLN:KGLX)
REAL(KIND=JPRB) ,INTENT(IN) :: PSLD1(KGLN:KGLX)
REAL(KIND=JPRB) ,INTENT(IN) :: PSLD2(KGLN:KGLX)
REAL(KIND=JPRB) ,INTENT(IN) :: PSLD3(KGLN:KGLX)
REAL(KIND=JPRB) ,INTENT(IN) :: PSLDW(3,3,KGLN:KGLX)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLON(KPROMB,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLAT(KPROMB,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLEV(KPROMB,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PKAPPA(KPROMB,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PLON5(KPROMB,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PLAT5(KPROMB,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PLEV5(KPROMB,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PKAPPA5(KPROMB,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVETAF(0:KFLEV+1)
INTEGER(KIND=JPIM),INTENT(IN) :: KVAUTF(0:KRLEVX)
REAL(KIND=JPRB) ,INTENT(IN) :: PVCUICO(4,0:KFLEV-1)
REAL(KIND=JPRB) ,INTENT(IN) :: PVSLD(3,0:KFLEV-1)
REAL(KIND=JPRB) ,INTENT(IN) :: PVSLDW(3,3,0:KFLEV-1)
REAL(KIND=JPRB) ,INTENT(IN) :: PVRLEVX
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDLAT(KPROMB,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLA(KPROMB,KFLEV,3)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLASLD(KPROMB,KFLEV,3)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDLO(KPROMB,KFLEV,0:3)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLO(KPROMB,KFLEV,3,2)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLOSLD(KPROMB,KFLEV,3,2)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDVER(KPROMB,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVINTW(KPROMB,KFLEV,3)
REAL(KIND=JPRB) ,INTENT(IN) :: PVINTWSLD(KPROMB,KFLEV,3)
END SUBROUTINE LASCAWAD
END INTERFACE
